- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Functions
Message Helpers
Message

## Typedefs
typedef void(* | Eldbus_Dict_Cb_Get )(void *data, const void *key, Eldbus_Message_Iter *var)

## Functions
void | eldbus_message_iter_dict_iterate (Eldbus_Message_Iter *dict, const char *signature, Eldbus_Dict_Cb_Get cb, const void *data)
| Iterate over a dictionary. More...

## Detailed Description

## Function Documentation

void eldbus_message_iter_dict_iterate | ( | Eldbus_Message_Iter * | dict,
|  | const char * | signature,
|  | Eldbus_Dict_Cb_Get | cb,
|  | const void * | data
| ) |  |

Iterate over a dictionary.

Parameters

  dict | iterator with array of entry
  signature | of entry, example: "sv"
  cb | callback that will be called in each entry
  data | context data

References eldbus_message_iter_arguments_get(), eldbus_message_iter_get_and_next(), and eldbus_message_iter_signature_get().